Oracle Linux 4 / 5 / 6:apr / apr-util(ELSA-2010-0950)

medium Nessus プラグイン ID 68155
New! プラグインの深刻度には CVSS v3 が適用されるようになりました。

プラグインの深刻度は、デフォルトで CVSS v3 を使って計算されるように更新されました。プラグインに CVSS v3 スコアがない場合には、CVSS v2 を使って深刻度が計算されます。深刻度の表示設定は、[設定]のドロップダウンで切り替えができます。

概要

リモート Oracle Linux ホストに、1 つ以上のセキュリティ更新がありません。

説明

Red Hat セキュリティアドバイザリ 2010:0950 から:

1 つのセキュリティ問題を修正する更新済みの apr-util パッケージが、 Red Hat Enterprise Linux 4、5、および 6 で現在利用可能です。

Red Hat セキュリティレスポンスチームは、この更新のセキュリティ上の影響は中程度であると評価しています。詳細な重要度評価を示す Common Vulnerability Scoring System(CVSS)ベーススコアは「参照」セクションの CVE リンクで入手できます。

Apache Portable Runtime(APR)は、Apache HTTP Server および他のプロジェクトによって使用されるポータビリティライブラリです。apr-util は、APR 用の追加のユーティリティインターフェイスを提供するライブラリであり、これには XML 解析、 LDAP、データベースインターフェイス、URI 解析のサポートなどが含まれます。

特定の入力によって apr-util ライブラリが、 apr_brigade_split_line() 関数で意図されたよりも多くのメモリを割り当てる可能性があります。攻撃者は、apr-util ライブラリを使用するアプリケーション(httpd など)に小さなチャンクで入力を提供し、この欠陥を利用して大きなメモリ消費を発生させる可能性があります。(CVE-2010-1623)

apr-util の全ユーザーは、バックポートされたパッチが含まれるこれらの更新済みパッケージにアップグレードし、この問題を修正する必要があります。この更新を有効にするには、 apr-util ライブラリを使用するアプリケーション(httpd など)を再起動する必要があります。

ソリューション

影響を受ける apr-util パッケージを更新してください。

関連情報

https://oss.oracle.com/pipermail/el-errata/2010-December/001761.html

https://oss.oracle.com/pipermail/el-errata/2010-December/001762.html

https://oss.oracle.com/pipermail/el-errata/2011-February/001844.html

プラグインの詳細

深刻度: Medium

ID: 68155

ファイル名: oraclelinux_ELSA-2010-0950.nasl

バージョン: 1.11

タイプ: local

エージェント: unix

公開日: 2013/7/12

更新日: 2021/1/14

依存関係: ssh_get_info.nasl

リスク情報

VPR

リスクファクター: Medium

スコア: 4.4

CVSS v2

リスクファクター: Medium

Base Score: 5

Temporal Score: 3.7

ベクトル: AV:N/AC:L/Au:N/C:N/I:N/A:P

現状ベクトル: E:U/RL:OF/RC:C

脆弱性情報

CPE: p-cpe:/a:oracle:linux:apr-util, p-cpe:/a:oracle:linux:apr-util-devel, p-cpe:/a:oracle:linux:apr-util-docs, p-cpe:/a:oracle:linux:apr-util-ldap, p-cpe:/a:oracle:linux:apr-util-mysql, p-cpe:/a:oracle:linux:apr-util-odbc, p-cpe:/a:oracle:linux:apr-util-pgsql, p-cpe:/a:oracle:linux:apr-util-sqlite, cpe:/o:oracle:linux:4, cpe:/o:oracle:linux:5, cpe:/o:oracle:linux:6

必要な KB アイテム: Host/local_checks_enabled, Host/OracleLinux, Host/RedHat/release, Host/RedHat/rpm-list

エクスプロイトの容易さ: No known exploits are available

パッチ公開日: 2010/12/9

脆弱性公開日: 2010/10/4

参照情報

CVE: CVE-2010-1623

BID: 43673

RHSA: 2010:0950